Tag Archives: SharePoint 2010 SP1

SharePoint 2010 and Windows Server 2012/2012 R2 compatibility

The other day I was trying to build SharePoint 2010 SP1 VM for testing purposes, and as I already had Server 2012 R2 VM available I tried to install SP 2010 SP1 on it – with no luck as both prerequisites installer threw warning about comparability and SP installer itself just failed to complete without warning me beforehand. So after number of stubborn attempts ended up with the same negative result, I decided that it’s high time do some reading/RTFM time.

The thing here is that SP 2010 RTM don’t supported on/compatible with Server 2012 / 2012 R2. “On Windows Server 2012 R2, Microsoft supports only the SharePoint Server 2010 SP2 slipstream media configuration and not the RTM version of that configuration.” Feel free to read Microsoft KB2724471 for details, you will see all the errors I saw trying to install SP 2010 SP1 on Server 2012 R2 there.

Well at list this is well documented unlike my other “retrospect” discovery of the fact that IIS 7.0 doesn’t surface in its GUI option for editing Providers for Windows Authentication when you right click on Windows Authentication icon in Authorization settings (where you can configure NTLM/Negotiate/Kerberos ant their precedence)… You need to employ IIS Administration Pack and wade through its keys/entries to adjust this stuff, which is only a bit better then using appcmd.exe or other CLI options for doing this. And yes in case you forgot you can’t install IIS 7.5 on Server 2008 (not R2).

With that it seems that I need to arrange some Windows Server 2008/2008 R2 VM for testing “old stuff” 🙂

Please follow and like us: